Kerbal Space Program - Bug #25068

Rotation servo not rotating after vessel launch
03/19/2020 11:48 AM - ShadowZone

Status: Investigating Start date: 03/19/2020
Severity: Low % Done: 20%
Assignee: Technicalfool

Category: Robotics

Target version:

Version: 1.9.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground

Description

Sometimes, when attaching rotator parts they appear to work fine in the editor but when launching the vehicle, they don't rotate at all.

See video:
https://youtu.be/ U-0tZIkTjk

.craft file attached

History

#1 - 03/19/2020 03:28 PM - ShadowZone

- Subject changed from Rotator not rotating after vessel launch to Rotation servo not rotating after vessel launch

#2 - 03/20/2020 05:43 PM - Technicalfool
- Status changed from New to Investigating
- Assignee set to Technicalfool

- % Done changed from 0 to 20

#3 - 03/20/2020 06:09 PM - Technicalfool

Thanks for the report. I've confirmed the behaviour with that craft in a stock 1.9.1 install, after re-saving it without the mod parts.

What | can't do yet is reproduce it with a craft that was built stock-only from the ground up. Investigations are ongoing.

#4 - 03/20/2020 06:37 PM - ShadowZone

Technicalfool wrote:
Thanks for the report. I've confirmed the behaviour with that craft in a stock 1.9.1 install, after re-saving it without the mod parts.
What | can't do yet is reproduce it with a craft that was built stock-only from the ground up. Investigations are ongoing.

Thanks for the update!

Sorry for not providing a pure stock vehicle, | wasn't aware MechJeb and Trajectories would register parts in the .craft file.

One way | encounter this is by using mirror symmetry when attaching servos, build my assembly thats connected to the servo, delete it, undo the

delete, copy it (alt+leftclick) and place it somewhere else.
This also sometimes results in the mirrored parts after copying them having a completely different orientation.

#5 - 03/31/2020 09:22 AM - dnbattley

Adding to this bug report (as | believe | have experienced the same issue and following investigation) it appears to relate to servos attached with
mirror symmetry where they have limited rotation enabled: if full rotation is allowed then servo operates normally, but if the rotation is limited (e.g. -90
degrees to 0) then only one of the two servos will operate correctly at launch.

#6 - 03/31/2020 09:45 AM - ShadowZone

dnbattley wrote:

Adding to this bug report (as | believe | have experienced the same issue and following investigation) it appears to relate to servos attached with
https://youtu.be/_U-0tZlkTjk

mirror symmetry where they have limited rotation enabled: if full rotation is allowed then servo operates normally, but if the rotation is limited (e.g.
-90 degrees to 0) then only one of the two servos will operate correctly at launch.

Yes, | was also limiting the servo rotation when using mirror symmetry. Thank you for reminding me. Hope this helps tracking down the issue.

#7 - 05/06/2020 06:51 PM - ryuazuku
One thing that is odd with this bug is that if you try and put the servo that wont move at the angle you wanted it to be at, then invert its direction, it will
rapidly rotate a little bit one way then return to 0 degrees.

#8 - 05/24/2020 03:23 AM - bluesaberist

- File watwat.craft added

I think I'm seeing this bug, and I've uploaded the ship it's happening with which is all stock parts. In this case, the right wing servo isn't rotating, and
I'm placing the mirrored parts on the left side.

Files
tmp.craft 242 KB 03/19/2020 ShadowZone
watwat.craft 69.8 KB 05/24/2020 bluesaberist
